%global version 0.10.2
%global lib_name libschrift
%global debug_package %{nil}

Name:           %{lib_name}
Version:        %{version}
Release:        1%{?dist}
Summary:        A lightweight TrueType font rendering library
ExclusiveArch:	x86_64 aarch64 ppc64le s390x
License:        ISC
URL: 		https://github.com/tomolt/libschrift
Source: 	https://github.com/tomolt/libschrift/archive/refs/tags/v%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  pkgconfig
BuildRequires:  libX11-devel
BuildRequires:  libXrender-devel

%description
libschrift is a lightweight TrueType font rendering library that provides basic font rendering capabilities. It aims for simplicity and efficiency, making it suitable for various embedded and resource-constrained environments.

%prep
%autosetup

%build
make %{?_smp_mflags} 

%install
make %{?_smp_mflags} \
    DESTDIR=%{buildroot} \
    PREFIX=%{_prefix} \
    MANPREFIX=%{_mandir} \
    X11INC=%{_includedir}/X11 \
    X11LIB=%{_libdir}/X11 \
    EXTRAS_CFLAGS="%{optflags}" \
    EXTRAS_LDFLAGS="%{__global_ldflags}" \
    install

%files
%license LICENSE
%doc README.md CHANGELOG.md TODO.md
%{_includedir}/*.h
%{_mandir}/man3/
/usr/lib/libschrift.a


%changelog
* Mon Mar 25 2024 Manish Tiwari <matiwari@redhat.com> - %{version}-%{release}
- Initial package release
